import request from '@/utils/request'

// 查询进度列表
export function listProgress(query) {
  return request({
    url: '/rc/progress/list',
    method: 'get',
    params: query
  })
}

// 查询进度详细
export function getProgress(id) {
  return request({
    url: '/rc/progress/' + id,
    method: 'get'
  })
}

// 新增进度
export function addProgress(data) {
  return request({
    url: '/rc/progress',
    method: 'post',
    data: data
  })
}

// 修改进度
export function updateProgress(data) {
  return request({
    url: '/rc/progress',
    method: 'put',
    data: data
  })
}

// 删除进度
export function delProgress(id) {
  return request({
    url: '/rc/progress/' + id,
    method: 'delete'
  })
}
